Subject: Re: bug#63310: 29.0.90; Blacklisting docstrings and docstrings-non-ascii-quotes from byte-compile-warnings do not prevent all docstring warnings

From: Jimmy Yuen Ho Wong <[email-masked]>
Date: Sat, 6 May 2023 17:39:56 +0100

Sorry both message came from monky. I didn't notice the file local
variables set at the bottom. There is indeed no bug here, sorry about this,
you can close this.
Jimmy

On Sat, May 6, 2023 at 10:35 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Jimmy Yuen Ho Wong <[email-masked]>
> > Date: Fri, 05 May 2023 16:07:20 +0100
> >
> >
> > Reproduction:
> >
> > 1. `(custom-set-variables '(byte-compile-warnings '(not docstrings
> > docstrings-non-ascii-quotes)))`
> > 2. M-x package-install RET move-dup
> > 3. M-x package-install RET monky
> > 4. Observe in the *Compile-Log* buffer the `custom-declare-variable
> > ... docstring has wrong usage of unescaped single quotes (use \= or
> different quoting)` and `docstring wider than ... characters` mesages
> >
> > Expectation:
> >
> > Blacklisting docstrings and docstrings-non-ascii-quotes should not result
> > in any docstring warnings being emitted during byte compilation.
>
> I don't see any warnings when compiling the latest version of
> move-dup.
>
> As for monkey: it explicitly sets the value of byte-compile-warnings
> in file-local variables:
>
>   ;; Local Variables:
>   ;; byte-compile-warnings: (not cl-functions)
>   ;; End:
>
> So this overrides your customization when byte-compiling this file.
>
> I see no bug here.
>